<?php
/******************************
 * WoWRoster.net  Roster
 * Copyright 2002-2006
 * Licensed under the Creative Commons
 * "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * Short summary
 *  http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * Full license information
 *  http://creativecommons.org/licenses/by-nc-sa/2.5/legalcode
 * -----------------------------
 *
 * $Id: talentList.php 59 2006-08-06 22:47:00Z dreadpickle $
 *
 ******************************/

require_once(ROSTER_BASE.'lib'.DIR_SEP.'talents.php');

$server_name_escape = $wowdb->escape($roster_conf['server_name']);

$qry_talent  = "select distinct (name) talent from ".ROSTER_TALENTSTABLE." order by `name`";

$result_talent = $wowdb->query($qry_talent) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$qry_talent);
if ($roster_conf['sqldebug'])
{
	$content .= ("<!-- $qry_talent -->\n");
}

$choiceForm = '<form action="addon.php" method="GET" name="myform">
	<input type="hidden" name="roster_addon_name" value="talented">
	<table>
		<tr>
		<th class="copy">'.$wordings[$roster_conf['roster_lang']]['talentfilter'].'</th>
		<td class="copy"><select NAME="talentfilter">';

while($row_talent = $wowdb->fetch_array($result_talent))
{
	if ($_REQUEST["talentfilter"]==$row_talent["talent"])
		$choiceForm .= '<option VALUE="'.$row_talent["talent"].'" selected>'.$row_talent["talent"];
	else
		$choiceForm .= '<option VALUE="'.$row_talent["talent"].'">'.$row_talent["talent"];
}

$wowdb->free_result($result_talent);

$choiceForm .= '</select>
</td>
		<td><input type="submit" value="'.$wordings[$roster_conf['roster_lang']]['applybutton'].'" />
</td>
	</tr>
</table>
</form><br />';


$content .=  $choiceForm;


if (isset($_REQUEST["talentfilter"]))
{
	$talents = "select distinct (name) talent from ".ROSTER_TALENTSTABLE." order by `name`";
	// $talents = talent_get_all( $_REQUEST["talentfilter"],($_REQUEST["filterbox"]?$_REQUEST["filterbox"]:''), ($_REQUEST["sort"]?$_REQUEST["sort"]:'type') );

	if( isset( $talents[0] ) )
	{
		$rc = 0;
		$content .= border('syellow','start','<a href="#top_menu" id="'.$_REQUEST['talentfilter'].'">'.$_REQUEST['talentfilter'].'</a>').
				'<table class="bodyline" cellspacing="0">'."\n";

		$content .= '<tr>'."\n";
		$content .= '<th class="membersHeader">&nbsp;'.$wordings[$roster_conf['roster_lang']]['name'].'&nbsp;</th>'."\n";
		$content .= '<th class="membersHeader">&nbsp;'.$wordings[$roster_conf['roster_lang']]['rank'].'&nbsp;</th>'."\n";
		$content .= '<th class="membersHeader">&nbsp;'.$wordings[$roster_conf['roster_lang']]['maxrank'].'&nbsp;</th>'."\n";
		$content .= '<th class="membersHeader">&nbsp;'.$wordings[$roster_conf['roster_lang']]['talentdescription'].'&nbsp;</th>'."\n";
		$content .= '</tr>';

		// while($row_main = $wowdb->fetch_array($result_main)){
		$qry_users = "select p.name, t.rank, t.maxrank, t.tooltip, p.server ".
			"from ".ROSTER_PLAYERSTABLE." p, ".ROSTER_TALENTSTABLE." t ".
			"where t.member_id = p.member_id ".
			"and t.`name` = '".addslashes($_REQUEST['talentfilter'])."' order by t.rank DESC, p.name";

		$result_users = $wowdb->query($qry_users) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$qry_users);
        if ($roster_conf['sqldebug'])
        {
        	$content .= ("<!-- $qry_users -->\n");
        }

		// Increment counter so rows are colored alternately
		++$rc;

		$table_cell_start = '<td class="membersRow'.(($rc%2)+1).'" align="center" valign="middle">';

        while($row_talent = $wowdb->fetch_array($result_users))
        {
			$content .=  '<tr>'."\n";
			if ($row_talent["server"]) {
			  $content .=  $table_cell_start.'&nbsp;<a href="javascript:void(0)"'.
				'onClick="w = window.open(\'char.php?name='.$row_talent['name'].'&amp;server='.$row_talent['server'].
				'&amp;action=character\',\'PopUp\',\'width=650,height=750,left=200,top=200,screenX=200,screenY=200,fullscreen=no,toolbar=no,status=no,menubar=no,scrollbars=yes,resizable=yes,directories=no,location=no\'); return true;">'.
				$row_talent['name'].'</a>&nbsp;
</td>';
			}
			else
              $content .=  $table_cell_start.'&nbsp;'.$row_talent["name"].'&nbsp;
</td>';

			$content .=  $table_cell_start.'&nbsp;'.$row_talent["rank"].'&nbsp;
</td>';
			$content .=  $table_cell_start.'&nbsp;'.$row_talent["maxrank"].'&nbsp;
</td>';
			$content .=  $table_cell_start.'<table style="width:350px; white-space:normal;"><tr><td>'.str_replace("\n","<br>",$row_talent["tooltip"]).'
</td></tr></table>
</td>';
			$content .=  '</tr>';
		}
		$content .=  '</table>'.border('syellow','end');
		$wowdb->free_result($result_users);
	}
	else
	{
		$content .=  $wordings[$roster_conf['roster_lang']]['dnotpopulatelist'];
	}

}


?>